Makefile 47 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222122312241225122612271228122912301231123212331234123512361237123812391240124112421243124412451246124712481249125012511252125312541255125612571258125912601261126212631264126512661267126812691270127112721273127412751276127712781279128012811282128312841285128612871288128912901291129212931294129512961297129812991300130113021303130413051306130713081309131013111312131313141315131613171318131913201321132213231324132513261327132813291330133113321333133413351336133713381339134013411342134313441345134613471348
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_namespace/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2009 Thorsten Kukuk <kukuk@thkukuk.de>
  13. # Copyright (c) 2006 Red Hat, Inc.
  14. #
  15. am__is_gnu_make = { \
  16. if test -z '$(MAKELEVEL)'; then \
  17. false; \
  18. elif test -n '$(MAKE_HOST)'; then \
  19. true; \
  20. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  21. true; \
  22. else \
  23. false; \
  24. fi; \
  25. }
  26. am__make_running_with_option = \
  27. case $${target_option-} in \
  28. ?) ;; \
  29. *) echo "am__make_running_with_option: internal error: invalid" \
  30. "target option '$${target_option-}' specified" >&2; \
  31. exit 1;; \
  32. esac; \
  33. has_opt=no; \
  34. sane_makeflags=$$MAKEFLAGS; \
  35. if $(am__is_gnu_make); then \
  36. sane_makeflags=$$MFLAGS; \
  37. else \
  38. case $$MAKEFLAGS in \
  39. *\\[\ \ ]*) \
  40. bs=\\; \
  41. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  42. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  43. esac; \
  44. fi; \
  45. skip_next=no; \
  46. strip_trailopt () \
  47. { \
  48. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  49. }; \
  50. for flg in $$sane_makeflags; do \
  51. test $$skip_next = yes && { skip_next=no; continue; }; \
  52. case $$flg in \
  53. *=*|--*) continue;; \
  54. -*I) strip_trailopt 'I'; skip_next=yes;; \
  55. -*I?*) strip_trailopt 'I';; \
  56. -*O) strip_trailopt 'O'; skip_next=yes;; \
  57. -*O?*) strip_trailopt 'O';; \
  58. -*l) strip_trailopt 'l'; skip_next=yes;; \
  59. -*l?*) strip_trailopt 'l';; \
  60. -[dEDm]) skip_next=yes;; \
  61. -[JT]) skip_next=yes;; \
  62. esac; \
  63. case $$flg in \
  64. *$$target_option*) has_opt=yes; break;; \
  65. esac; \
  66. done; \
  67. test $$has_opt = yes
  68. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  69. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  70. pkgdatadir = $(datadir)/Linux-PAM
  71. pkgincludedir = $(includedir)/Linux-PAM
  72. pkglibdir = $(libdir)/Linux-PAM
  73. pkglibexecdir = $(libexecdir)/Linux-PAM
  74. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  75. install_sh_DATA = $(install_sh) -c -m 644
  76. install_sh_PROGRAM = $(install_sh) -c
  77. install_sh_SCRIPT = $(install_sh) -c
  78. INSTALL_HEADER = $(INSTALL_DATA)
  79. transform = $(program_transform_name)
  80. NORMAL_INSTALL = :
  81. PRE_INSTALL = :
  82. POST_INSTALL = :
  83. NORMAL_UNINSTALL = :
  84. PRE_UNINSTALL = :
  85. POST_UNINSTALL = :
  86. build_triplet = x86_64-pc-linux-gnu
  87. host_triplet = arm-unknown-linux-gnueabihf
  88. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  89. subdir = modules/pam_namespace
  90. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  91. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  92. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  93. $(top_srcdir)/m4/intlmacosx.m4 \
  94. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  95. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  96. $(top_srcdir)/m4/ld-no-undefined.m4 \
  97. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  98. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  99. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  100. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  101. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  102. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  103. $(top_srcdir)/m4/progtest.m4 \
  104. $(top_srcdir)/m4/warn_lang_flags.m4 \
  105. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  106. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  107. $(ACLOCAL_M4)
  108. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  109. $(dist_secureconf_SCRIPTS) $(am__dist_noinst_DATA_DIST) \
  110. $(dist_secureconf_DATA) $(noinst_HEADERS) $(am__DIST_COMMON)
  111. mkinstalldirs = $(install_sh) -d
  112. CONFIG_HEADER = $(top_builddir)/config.h
  113. CONFIG_CLEAN_FILES = pam_namespace_helper pam_namespace.service
  114. CONFIG_CLEAN_VPATH_FILES =
  115. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  116. am__vpath_adj = case $$p in \
  117. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  118. *) f=$$p;; \
  119. esac;
  120. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  121. am__install_max = 40
  122. am__nobase_strip_setup = \
  123. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  124. am__nobase_strip = \
  125. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  126. am__nobase_list = $(am__nobase_strip_setup); \
  127. for p in $$list; do echo "$$p $$p"; done | \
  128. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  129. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  130. if (++n[$$2] == $(am__install_max)) \
  131. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  132. END { for (dir in files) print dir, files[dir] }'
  133. am__base_list = \
  134. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  135. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  136. am__uninstall_files_from_dir = { \
  137. test -z "$$files" \
  138. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  139. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  140. $(am__cd) "$$dir" && rm -f $$files; }; \
  141. }
  142. am__installdirs = "$(DESTDIR)$(securelibdir)" \
  143. "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(sbindir)" \
  144. "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" \
  145. "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(servicedir)"
  146. LTLIBRARIES = $(securelib_LTLIBRARIES)
  147. pam_namespace_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  148. am_pam_namespace_la_OBJECTS = pam_namespace.lo md5.lo argv_parse.lo
  149. pam_namespace_la_OBJECTS = $(am_pam_namespace_la_OBJECTS)
  150. AM_V_lt = $(am__v_lt_$(V))
  151. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  152. am__v_lt_0 = --silent
  153. am__v_lt_1 =
  154. SCRIPTS = $(dist_secureconf_SCRIPTS) $(sbin_SCRIPTS)
  155. AM_V_P = $(am__v_P_$(V))
  156. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  157. am__v_P_0 = false
  158. am__v_P_1 = :
  159. AM_V_GEN = $(am__v_GEN_$(V))
  160. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  161. am__v_GEN_0 = @echo " GEN " $@;
  162. am__v_GEN_1 =
  163. AM_V_at = $(am__v_at_$(V))
  164. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  165. am__v_at_0 = @
  166. am__v_at_1 =
  167. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  168. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  169. am__maybe_remake_depfiles = depfiles
  170. am__depfiles_remade = ./$(DEPDIR)/argv_parse.Plo ./$(DEPDIR)/md5.Plo \
  171. ./$(DEPDIR)/pam_namespace.Plo
  172. am__mv = mv -f
  173. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  174. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  175. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  176. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  177. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  178. $(AM_CFLAGS) $(CFLAGS)
  179. AM_V_CC = $(am__v_CC_$(V))
  180. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  181. am__v_CC_0 = @echo " CC " $@;
  182. am__v_CC_1 =
  183. CCLD = $(CC)
  184. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  185. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  186. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  187. AM_V_CCLD = $(am__v_CCLD_$(V))
  188. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  189. am__v_CCLD_0 = @echo " CCLD " $@;
  190. am__v_CCLD_1 =
  191. SOURCES = $(pam_namespace_la_SOURCES)
  192. DIST_SOURCES = $(pam_namespace_la_SOURCES)
  193. am__can_run_installinfo = \
  194. case $$AM_UPDATE_INFO_DIR in \
  195. n|no|NO) false;; \
  196. *) (install-info --version) >/dev/null 2>&1;; \
  197. esac
  198. man5dir = $(mandir)/man5
  199. man8dir = $(mandir)/man8
  200. NROFF = nroff
  201. MANS = $(dist_man_MANS)
  202. am__dist_noinst_DATA_DIST = README
  203. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA) $(service_DATA)
  204. HEADERS = $(noinst_HEADERS)
  205. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  206. # Read a list of newline-separated strings from the standard input,
  207. # and print each of them once, without duplicates. Input order is
  208. # *not* preserved.
  209. am__uniquify_input = $(AWK) '\
  210. BEGIN { nonempty = 0; } \
  211. { items[$$0] = 1; nonempty = 1; } \
  212. END { if (nonempty) { for (i in items) print i; }; } \
  213. '
  214. # Make sure the list of sources is unique. This is necessary because,
  215. # e.g., the same source file might be shared among _SOURCES variables
  216. # for different programs/libraries.
  217. am__define_uniq_tagged_files = \
  218. list='$(am__tagged_files)'; \
  219. unique=`for i in $$list; do \
  220. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  221. done | $(am__uniquify_input)`
  222. ETAGS = etags
  223. CTAGS = ctags
  224. am__tty_colors_dummy = \
  225. mgn= red= grn= lgn= blu= brg= std=; \
  226. am__color_tests=no
  227. am__tty_colors = { \
  228. $(am__tty_colors_dummy); \
  229. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  230. am__color_tests=no; \
  231. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  232. am__color_tests=yes; \
  233. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  234. am__color_tests=yes; \
  235. fi; \
  236. if test $$am__color_tests = yes; then \
  237. red=''; \
  238. grn=''; \
  239. lgn=''; \
  240. blu=''; \
  241. mgn=''; \
  242. brg=''; \
  243. std=''; \
  244. fi; \
  245. }
  246. am__recheck_rx = ^[ ]*:recheck:[ ]*
  247. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  248. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  249. # A command that, given a newline-separated list of test names on the
  250. # standard input, print the name of the tests that are to be re-run
  251. # upon "make recheck".
  252. am__list_recheck_tests = $(AWK) '{ \
  253. recheck = 1; \
  254. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  255. { \
  256. if (rc < 0) \
  257. { \
  258. if ((getline line2 < ($$0 ".log")) < 0) \
  259. recheck = 0; \
  260. break; \
  261. } \
  262. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  263. { \
  264. recheck = 0; \
  265. break; \
  266. } \
  267. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  268. { \
  269. break; \
  270. } \
  271. }; \
  272. if (recheck) \
  273. print $$0; \
  274. close ($$0 ".trs"); \
  275. close ($$0 ".log"); \
  276. }'
  277. # A command that, given a newline-separated list of test names on the
  278. # standard input, create the global log from their .trs and .log files.
  279. am__create_global_log = $(AWK) ' \
  280. function fatal(msg) \
  281. { \
  282. print "fatal: making $@: " msg | "cat >&2"; \
  283. exit 1; \
  284. } \
  285. function rst_section(header) \
  286. { \
  287. print header; \
  288. len = length(header); \
  289. for (i = 1; i <= len; i = i + 1) \
  290. printf "="; \
  291. printf "\n\n"; \
  292. } \
  293. { \
  294. copy_in_global_log = 1; \
  295. global_test_result = "RUN"; \
  296. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  297. { \
  298. if (rc < 0) \
  299. fatal("failed to read from " $$0 ".trs"); \
  300. if (line ~ /$(am__global_test_result_rx)/) \
  301. { \
  302. sub("$(am__global_test_result_rx)", "", line); \
  303. sub("[ ]*$$", "", line); \
  304. global_test_result = line; \
  305. } \
  306. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  307. copy_in_global_log = 0; \
  308. }; \
  309. if (copy_in_global_log) \
  310. { \
  311. rst_section(global_test_result ": " $$0); \
  312. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  313. { \
  314. if (rc < 0) \
  315. fatal("failed to read from " $$0 ".log"); \
  316. print line; \
  317. }; \
  318. printf "\n"; \
  319. }; \
  320. close ($$0 ".trs"); \
  321. close ($$0 ".log"); \
  322. }'
  323. # Restructured Text title.
  324. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  325. # Solaris 10 'make', and several other traditional 'make' implementations,
  326. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  327. # by disabling -e (using the XSI extension "set +e") if it's set.
  328. am__sh_e_setup = case $$- in *e*) set +e;; esac
  329. # Default flags passed to test drivers.
  330. am__common_driver_flags = \
  331. --color-tests "$$am__color_tests" \
  332. --enable-hard-errors "$$am__enable_hard_errors" \
  333. --expect-failure "$$am__expect_failure"
  334. # To be inserted before the command running the test. Creates the
  335. # directory for the log if needed. Stores in $dir the directory
  336. # containing $f, in $tst the test, in $log the log. Executes the
  337. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  338. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  339. # will run the test scripts (or their associated LOG_COMPILER, if
  340. # thy have one).
  341. am__check_pre = \
  342. $(am__sh_e_setup); \
  343. $(am__vpath_adj_setup) $(am__vpath_adj) \
  344. $(am__tty_colors); \
  345. srcdir=$(srcdir); export srcdir; \
  346. case "$@" in \
  347. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  348. *) am__odir=.;; \
  349. esac; \
  350. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  351. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  352. if test -f "./$$f"; then dir=./; \
  353. elif test -f "$$f"; then dir=; \
  354. else dir="$(srcdir)/"; fi; \
  355. tst=$$dir$$f; log='$@'; \
  356. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  357. am__enable_hard_errors=no; \
  358. else \
  359. am__enable_hard_errors=yes; \
  360. fi; \
  361. case " $(XFAIL_TESTS) " in \
  362. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  363. am__expect_failure=yes;; \
  364. *) \
  365. am__expect_failure=no;; \
  366. esac; \
  367. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  368. # A shell command to get the names of the tests scripts with any registered
  369. # extension removed (i.e., equivalently, the names of the test logs, with
  370. # the '.log' extension removed). The result is saved in the shell variable
  371. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  372. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  373. # since that might cause problem with VPATH rewrites for suffix-less tests.
  374. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  375. am__set_TESTS_bases = \
  376. bases='$(TEST_LOGS)'; \
  377. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  378. bases=`echo $$bases`
  379. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  380. RECHECK_LOGS = $(TEST_LOGS)
  381. AM_RECURSIVE_TARGETS = check recheck
  382. TEST_SUITE_LOG = test-suite.log
  383. TEST_EXTENSIONS = .test
  384. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  385. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  386. am__set_b = \
  387. case '$@' in \
  388. */*) \
  389. case '$*' in \
  390. */*) b='$*';; \
  391. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  392. esac;; \
  393. *) \
  394. b='$*';; \
  395. esac
  396. am__test_logs1 = $(TESTS:=.log)
  397. am__test_logs2 = $(am__test_logs1:.log=.log)
  398. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  399. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  400. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  401. $(TEST_LOG_FLAGS)
  402. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  403. $(srcdir)/pam_namespace.service.in \
  404. $(srcdir)/pam_namespace_helper.in \
  405. $(top_srcdir)/build-aux/depcomp \
  406. $(top_srcdir)/build-aux/test-driver
  407. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  408. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  409. AMTAR = $${TAR-tar}
  410. AM_DEFAULT_VERBOSITY = 1
  411. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  412. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  413. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  414. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  415. AWK = gawk
  416. BROWSER =
  417. BUILD_CFLAGS =
  418. BUILD_CPPFLAGS =
  419. BUILD_LDFLAGS =
  420. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  421. CCDEPMODE = depmode=gcc3
  422. CC_FOR_BUILD = gcc
  423. CFLAGS = -g -O2
  424. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  425. CPPFLAGS =
  426. CRYPTO_LIBS =
  427. CRYPT_CFLAGS =
  428. CRYPT_LIBS = -lcrypt
  429. CYGPATH_W = echo
  430. DEFS = -DHAVE_CONFIG_H
  431. DEPDIR = .deps
  432. DLLTOOL = false
  433. DSYMUTIL =
  434. DUMPBIN = :
  435. ECHO_C =
  436. ECHO_N = -n
  437. ECHO_T =
  438. ECONF_CFLAGS =
  439. ECONF_LIBS =
  440. EGREP = /bin/grep -E
  441. EXEEXT =
  442. EXE_CFLAGS = -fpie
  443. EXE_LDFLAGS = -pie -Wl,-z,now
  444. FGREP = /bin/grep -F
  445. FO2PDF =
  446. GETTEXT_MACRO_VERSION = 0.18
  447. GMSGFMT = /usr/bin/msgfmt
  448. GMSGFMT_015 = /usr/bin/msgfmt
  449. GREP = /bin/grep
  450. INSTALL = /usr/bin/install -c
  451. INSTALL_DATA = ${INSTALL} -m 644
  452. INSTALL_PROGRAM = ${INSTALL}
  453. INSTALL_SCRIPT = ${INSTALL}
  454. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  455. INTLLIBS =
  456. INTL_MACOSX_LIBS =
  457. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  458. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  459. LEX = flex
  460. LEXLIB = -lfl
  461. LEX_OUTPUT_ROOT = lex.yy
  462. LIBAUDIT =
  463. LIBCRYPT = -lcrypt
  464. LIBDB =
  465. LIBDL = -ldl
  466. LIBICONV = -liconv
  467. LIBINTL =
  468. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  469. LIBPRELUDE_CFLAGS =
  470. LIBPRELUDE_CONFIG = no
  471. LIBPRELUDE_CONFIG_PREFIX =
  472. LIBPRELUDE_LDFLAGS =
  473. LIBPRELUDE_LIBS =
  474. LIBPRELUDE_PREFIX =
  475. LIBPRELUDE_PTHREAD_CFLAGS =
  476. LIBS =
  477. LIBSELINUX =
  478. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  479. LIPO =
  480. LN_S = ln -s
  481. LTLIBICONV = -liconv
  482. LTLIBINTL =
  483. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  484. LT_SYS_LIBRARY_PATH =
  485. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  486. MANIFEST_TOOL = :
  487. MKDIR_P = /bin/mkdir -p
  488. MSGFMT = /usr/bin/msgfmt
  489. MSGFMT_015 = /usr/bin/msgfmt
  490. MSGMERGE = /usr/bin/msgmerge
  491. NIS_CFLAGS =
  492. NIS_LIBS =
  493. NM = nm
  494. NMEDIT =
  495. NSL_CFLAGS =
  496. NSL_LIBS = -lnsl
  497. OBJDUMP = objdump
  498. OBJEXT = o
  499. OTOOL =
  500. OTOOL64 =
  501. PACKAGE = Linux-PAM
  502. PACKAGE_BUGREPORT =
  503. PACKAGE_NAME = Linux-PAM
  504. PACKAGE_STRING = Linux-PAM 1.5.2
  505. PACKAGE_TARNAME = Linux-PAM
  506. PACKAGE_URL =
  507. PACKAGE_VERSION = 1.5.2
  508. PATH_SEPARATOR = :
  509. PKG_CONFIG = /usr/bin/pkg-config
  510. PKG_CONFIG_LIBDIR =
  511. PKG_CONFIG_PATH =
  512. POSUB = po
  513. RANLIB = ranlib
  514. SCONFIGDIR = ${prefix}/etc/security
  515. SECUREDIR = ${exec_prefix}/lib/security
  516. SED = /bin/sed
  517. SET_MAKE =
  518. SHELL = /bin/bash
  519. STRINGPARAM_HMAC =
  520. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  521. STRIP = strip
  522. TIRPC_CFLAGS =
  523. TIRPC_LIBS =
  524. USE_NLS = yes
  525. VERSION = 1.5.2
  526. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  527. XGETTEXT = /usr/bin/xgettext
  528. XGETTEXT_015 = /usr/bin/xgettext
  529. XGETTEXT_EXTRA_OPTIONS =
  530. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  531. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  532. XML_CATALOG_FILE = /etc/xml/catalog
  533. XSLTPROC = /usr/bin/xsltproc
  534. YACC = bison -y
  535. YFLAGS =
  536. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_namespace
  537. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_namespace
  538. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  539. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  540. ac_ct_AR =
  541. ac_ct_CC =
  542. ac_ct_DUMPBIN = link -dump
  543. am__include = include
  544. am__leading_dot = .
  545. am__quote =
  546. am__tar = $${TAR-tar} chof - "$$tardir"
  547. am__untar = $${TAR-tar} xf -
  548. bindir = ${exec_prefix}/bin
  549. build = x86_64-pc-linux-gnu
  550. build_alias =
  551. build_cpu = x86_64
  552. build_os = linux-gnu
  553. build_vendor = pc
  554. builddir = .
  555. datadir = ${datarootdir}
  556. datarootdir = ${prefix}/share
  557. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  558. dvidir = ${docdir}
  559. exec_prefix = ${prefix}
  560. host = arm-unknown-linux-gnueabihf
  561. host_alias = arm-linux-gnueabihf
  562. host_cpu = arm
  563. host_os = linux-gnueabihf
  564. host_vendor = unknown
  565. htmldir = ${docdir}
  566. includedir = ${prefix}/include
  567. infodir = ${datarootdir}/info
  568. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  569. libdir = ${exec_prefix}/lib
  570. libexecdir = ${exec_prefix}/libexec
  571. localedir = ${datarootdir}/locale
  572. localstatedir = ${prefix}/var
  573. mandir = ${datarootdir}/man
  574. mkdir_p = $(MKDIR_P)
  575. oldincludedir = /usr/include
  576. pam_xauth_path = /usr/bin/xauth
  577. pdfdir = ${docdir}
  578. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  579. program_transform_name = s,x,x,
  580. psdir = ${docdir}
  581. sbindir = ${exec_prefix}/sbin
  582. sharedstatedir = ${prefix}/com
  583. srcdir = .
  584. sysconfdir = ${prefix}/etc
  585. systemdunitdir =
  586. target_alias =
  587. top_build_prefix = ../../
  588. top_builddir = ../..
  589. top_srcdir = ../..
  590. CLEANFILES = *~
  591. MAINTAINERCLEANFILES = $(MANS) README
  592. EXTRA_DIST = $(XMLS)
  593. #dist_man_MANS = namespace.conf.5 pam_namespace.8 pam_namespace_helper.8
  594. XMLS = README.xml namespace.conf.5.xml pam_namespace.8.xml pam_namespace_helper.8.xml
  595. dist_check_SCRIPTS = tst-pam_namespace
  596. TESTS = $(dist_check_SCRIPTS)
  597. securelibdir = $(SECUREDIR)
  598. secureconfdir = $(SCONFIGDIR)
  599. namespaceddir = $(SCONFIGDIR)/namespace.d
  600. servicedir = $(systemdunitdir)
  601. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  602. -DSECURECONF_DIR=\"$(SCONFIGDIR)/\" $(WARN_CFLAGS)
  603. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  604. noinst_HEADERS = md5.h pam_namespace.h argv_parse.h
  605. securelib_LTLIBRARIES = pam_namespace.la
  606. pam_namespace_la_SOURCES = pam_namespace.c md5.c argv_parse.c
  607. pam_namespace_la_LIBADD = $(top_builddir)/libpam/libpam.la
  608. dist_secureconf_DATA = namespace.conf
  609. dist_secureconf_SCRIPTS = namespace.init
  610. service_DATA = pam_namespace.service
  611. sbin_SCRIPTS = pam_namespace_helper
  612. #dist_noinst_DATA = README
  613. all: all-am
  614. .SUFFIXES:
  615. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  616. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  617. @for dep in $?; do \
  618. case '$(am__configure_deps)' in \
  619. *$$dep*) \
  620. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  621. && { if test -f $@; then exit 0; else break; fi; }; \
  622. exit 1;; \
  623. esac; \
  624. done; \
  625. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_namespace/Makefile'; \
  626. $(am__cd) $(top_srcdir) && \
  627. $(AUTOMAKE) --gnu modules/pam_namespace/Makefile
  628. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  629. @case '$?' in \
  630. *config.status*) \
  631. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  632. *) \
  633. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  634. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  635. esac;
  636. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  637. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  638. $(top_srcdir)/configure: $(am__configure_deps)
  639. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  640. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  641. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  642. $(am__aclocal_m4_deps):
  643. pam_namespace_helper: $(top_builddir)/config.status $(srcdir)/pam_namespace_helper.in
  644. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  645. pam_namespace.service: $(top_builddir)/config.status $(srcdir)/pam_namespace.service.in
  646. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  647. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  648. @$(NORMAL_INSTALL)
  649. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  650. list2=; for p in $$list; do \
  651. if test -f $$p; then \
  652. list2="$$list2 $$p"; \
  653. else :; fi; \
  654. done; \
  655. test -z "$$list2" || { \
  656. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  657. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  658. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  659. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  660. }
  661. uninstall-securelibLTLIBRARIES:
  662. @$(NORMAL_UNINSTALL)
  663. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  664. for p in $$list; do \
  665. $(am__strip_dir) \
  666. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  667. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  668. done
  669. clean-securelibLTLIBRARIES:
  670. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  671. @list='$(securelib_LTLIBRARIES)'; \
  672. locs=`for p in $$list; do echo $$p; done | \
  673. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  674. sort -u`; \
  675. test -z "$$locs" || { \
  676. echo rm -f $${locs}; \
  677. rm -f $${locs}; \
  678. }
  679. pam_namespace.la: $(pam_namespace_la_OBJECTS) $(pam_namespace_la_DEPENDENCIES) $(EXTRA_pam_namespace_la_DEPENDENCIES)
  680. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_namespace_la_OBJECTS) $(pam_namespace_la_LIBADD) $(LIBS)
  681. install-dist_secureconfSCRIPTS: $(dist_secureconf_SCRIPTS)
  682. @$(NORMAL_INSTALL)
  683. @list='$(dist_secureconf_SCRIPTS)'; test -n "$(secureconfdir)" || list=; \
  684. if test -n "$$list"; then \
  685. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  686. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  687. fi; \
  688. for p in $$list; do \
  689. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  690. if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
  691. done | \
  692. sed -e 'p;s,.*/,,;n' \
  693. -e 'h;s|.*|.|' \
  694. -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
  695. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  696. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  697. if ($$2 == $$4) { files[d] = files[d] " " $$1; \
  698. if (++n[d] == $(am__install_max)) { \
  699. print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
  700. else { print "f", d "/" $$4, $$1 } } \
  701. END { for (d in files) print "f", d, files[d] }' | \
  702. while read type dir files; do \
  703. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  704. test -z "$$files" || { \
  705. echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(secureconfdir)$$dir'"; \
  706. $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(secureconfdir)$$dir" || exit $$?; \
  707. } \
  708. ; done
  709. uninstall-dist_secureconfSCRIPTS:
  710. @$(NORMAL_UNINSTALL)
  711. @list='$(dist_secureconf_SCRIPTS)'; test -n "$(secureconfdir)" || exit 0; \
  712. files=`for p in $$list; do echo "$$p"; done | \
  713. sed -e 's,.*/,,;$(transform)'`; \
  714. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  715. install-sbinSCRIPTS: $(sbin_SCRIPTS)
  716. @$(NORMAL_INSTALL)
  717. @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || list=; \
  718. if test -n "$$list"; then \
  719. echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  720. $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  721. fi; \
  722. for p in $$list; do \
  723. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  724. if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
  725. done | \
  726. sed -e 'p;s,.*/,,;n' \
  727. -e 'h;s|.*|.|' \
  728. -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
  729. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  730. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  731. if ($$2 == $$4) { files[d] = files[d] " " $$1; \
  732. if (++n[d] == $(am__install_max)) { \
  733. print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
  734. else { print "f", d "/" $$4, $$1 } } \
  735. END { for (d in files) print "f", d, files[d] }' | \
  736. while read type dir files; do \
  737. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  738. test -z "$$files" || { \
  739. echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  740. $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  741. } \
  742. ; done
  743. uninstall-sbinSCRIPTS:
  744. @$(NORMAL_UNINSTALL)
  745. @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || exit 0; \
  746. files=`for p in $$list; do echo "$$p"; done | \
  747. sed -e 's,.*/,,;$(transform)'`; \
  748. dir='$(DESTDIR)$(sbindir)'; $(am__uninstall_files_from_dir)
  749. mostlyclean-compile:
  750. -rm -f *.$(OBJEXT)
  751. distclean-compile:
  752. -rm -f *.tab.c
  753. include ./$(DEPDIR)/argv_parse.Plo # am--include-marker
  754. include ./$(DEPDIR)/md5.Plo # am--include-marker
  755. include ./$(DEPDIR)/pam_namespace.Plo # am--include-marker
  756. $(am__depfiles_remade):
  757. @$(MKDIR_P) $(@D)
  758. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  759. am--depfiles: $(am__depfiles_remade)
  760. .c.o:
  761. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  762. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  763. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  764. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  765. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  766. .c.obj:
  767. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  768. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  769. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  770. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  771. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  772. .c.lo:
  773. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  774. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  775. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  776. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  777. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  778. mostlyclean-libtool:
  779. -rm -f *.lo
  780. clean-libtool:
  781. -rm -rf .libs _libs
  782. install-man5: $(dist_man_MANS)
  783. @$(NORMAL_INSTALL)
  784. @list1=''; \
  785. list2='$(dist_man_MANS)'; \
  786. test -n "$(man5dir)" \
  787. && test -n "`echo $$list1$$list2`" \
  788. || exit 0; \
  789. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  790. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  791. { for i in $$list1; do echo "$$i"; done; \
  792. if test -n "$$list2"; then \
  793. for i in $$list2; do echo "$$i"; done \
  794. | sed -n '/\.5[a-z]*$$/p'; \
  795. fi; \
  796. } | while read p; do \
  797. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  798. echo "$$d$$p"; echo "$$p"; \
  799. done | \
  800. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  801. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  802. sed 'N;N;s,\n, ,g' | { \
  803. list=; while read file base inst; do \
  804. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  805. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  806. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  807. fi; \
  808. done; \
  809. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  810. while read files; do \
  811. test -z "$$files" || { \
  812. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  813. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  814. done; }
  815. uninstall-man5:
  816. @$(NORMAL_UNINSTALL)
  817. @list=''; test -n "$(man5dir)" || exit 0; \
  818. files=`{ for i in $$list; do echo "$$i"; done; \
  819. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  820. sed -n '/\.5[a-z]*$$/p'; \
  821. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  822. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  823. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  824. install-man8: $(dist_man_MANS)
  825. @$(NORMAL_INSTALL)
  826. @list1=''; \
  827. list2='$(dist_man_MANS)'; \
  828. test -n "$(man8dir)" \
  829. && test -n "`echo $$list1$$list2`" \
  830. || exit 0; \
  831. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  832. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  833. { for i in $$list1; do echo "$$i"; done; \
  834. if test -n "$$list2"; then \
  835. for i in $$list2; do echo "$$i"; done \
  836. | sed -n '/\.8[a-z]*$$/p'; \
  837. fi; \
  838. } | while read p; do \
  839. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  840. echo "$$d$$p"; echo "$$p"; \
  841. done | \
  842. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  843. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  844. sed 'N;N;s,\n, ,g' | { \
  845. list=; while read file base inst; do \
  846. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  847. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  848. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  849. fi; \
  850. done; \
  851. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  852. while read files; do \
  853. test -z "$$files" || { \
  854. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  855. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  856. done; }
  857. uninstall-man8:
  858. @$(NORMAL_UNINSTALL)
  859. @list=''; test -n "$(man8dir)" || exit 0; \
  860. files=`{ for i in $$list; do echo "$$i"; done; \
  861. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  862. sed -n '/\.8[a-z]*$$/p'; \
  863. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  864. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  865. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  866. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  867. @$(NORMAL_INSTALL)
  868. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  869. if test -n "$$list"; then \
  870. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  871. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  872. fi; \
  873. for p in $$list; do \
  874. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  875. echo "$$d$$p"; \
  876. done | $(am__base_list) | \
  877. while read files; do \
  878. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  879. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  880. done
  881. uninstall-dist_secureconfDATA:
  882. @$(NORMAL_UNINSTALL)
  883. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  884. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  885. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  886. install-serviceDATA: $(service_DATA)
  887. @$(NORMAL_INSTALL)
  888. @list='$(service_DATA)'; test -n "$(servicedir)" || list=; \
  889. if test -n "$$list"; then \
  890. echo " $(MKDIR_P) '$(DESTDIR)$(servicedir)'"; \
  891. $(MKDIR_P) "$(DESTDIR)$(servicedir)" || exit 1; \
  892. fi; \
  893. for p in $$list; do \
  894. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  895. echo "$$d$$p"; \
  896. done | $(am__base_list) | \
  897. while read files; do \
  898. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(servicedir)'"; \
  899. $(INSTALL_DATA) $$files "$(DESTDIR)$(servicedir)" || exit $$?; \
  900. done
  901. uninstall-serviceDATA:
  902. @$(NORMAL_UNINSTALL)
  903. @list='$(service_DATA)'; test -n "$(servicedir)" || list=; \
  904. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  905. dir='$(DESTDIR)$(servicedir)'; $(am__uninstall_files_from_dir)
  906. ID: $(am__tagged_files)
  907. $(am__define_uniq_tagged_files); mkid -fID $$unique
  908. tags: tags-am
  909. TAGS: tags
  910. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  911. set x; \
  912. here=`pwd`; \
  913. $(am__define_uniq_tagged_files); \
  914. shift; \
  915. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  916. test -n "$$unique" || unique=$$empty_fix; \
  917. if test $$# -gt 0; then \
  918. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  919. "$$@" $$unique; \
  920. else \
  921. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  922. $$unique; \
  923. fi; \
  924. fi
  925. ctags: ctags-am
  926. CTAGS: ctags
  927. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  928. $(am__define_uniq_tagged_files); \
  929. test -z "$(CTAGS_ARGS)$$unique" \
  930. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  931. $$unique
  932. GTAGS:
  933. here=`$(am__cd) $(top_builddir) && pwd` \
  934. && $(am__cd) $(top_srcdir) \
  935. && gtags -i $(GTAGS_ARGS) "$$here"
  936. cscopelist: cscopelist-am
  937. cscopelist-am: $(am__tagged_files)
  938. list='$(am__tagged_files)'; \
  939. case "$(srcdir)" in \
  940. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  941. *) sdir=$(subdir)/$(srcdir) ;; \
  942. esac; \
  943. for i in $$list; do \
  944. if test -f "$$i"; then \
  945. echo "$(subdir)/$$i"; \
  946. else \
  947. echo "$$sdir/$$i"; \
  948. fi; \
  949. done >> $(top_builddir)/cscope.files
  950. distclean-tags:
  951. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  952. # Recover from deleted '.trs' file; this should ensure that
  953. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  954. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  955. # to avoid problems with "make -n".
  956. .log.trs:
  957. rm -f $< $@
  958. $(MAKE) $(AM_MAKEFLAGS) $<
  959. # Leading 'am--fnord' is there to ensure the list of targets does not
  960. # expand to empty, as could happen e.g. with make check TESTS=''.
  961. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  962. am--force-recheck:
  963. @:
  964. $(TEST_SUITE_LOG): $(TEST_LOGS)
  965. @$(am__set_TESTS_bases); \
  966. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  967. redo_bases=`for i in $$bases; do \
  968. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  969. done`; \
  970. if test -n "$$redo_bases"; then \
  971. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  972. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  973. if $(am__make_dryrun); then :; else \
  974. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  975. fi; \
  976. fi; \
  977. if test -n "$$am__remaking_logs"; then \
  978. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  979. "recursion detected" >&2; \
  980. elif test -n "$$redo_logs"; then \
  981. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  982. fi; \
  983. if $(am__make_dryrun); then :; else \
  984. st=0; \
  985. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  986. for i in $$redo_bases; do \
  987. test -f $$i.trs && test -r $$i.trs \
  988. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  989. test -f $$i.log && test -r $$i.log \
  990. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  991. done; \
  992. test $$st -eq 0 || exit 1; \
  993. fi
  994. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  995. ws='[ ]'; \
  996. results=`for b in $$bases; do echo $$b.trs; done`; \
  997. test -n "$$results" || results=/dev/null; \
  998. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  999. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  1000. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  1001. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  1002. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  1003. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  1004. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  1005. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  1006. success=true; \
  1007. else \
  1008. success=false; \
  1009. fi; \
  1010. br='==================='; br=$$br$$br$$br$$br; \
  1011. result_count () \
  1012. { \
  1013. if test x"$$1" = x"--maybe-color"; then \
  1014. maybe_colorize=yes; \
  1015. elif test x"$$1" = x"--no-color"; then \
  1016. maybe_colorize=no; \
  1017. else \
  1018. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  1019. fi; \
  1020. shift; \
  1021. desc=$$1 count=$$2; \
  1022. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  1023. color_start=$$3 color_end=$$std; \
  1024. else \
  1025. color_start= color_end=; \
  1026. fi; \
  1027. echo "$${color_start}# $$desc $$count$${color_end}"; \
  1028. }; \
  1029. create_testsuite_report () \
  1030. { \
  1031. result_count $$1 "TOTAL:" $$all "$$brg"; \
  1032. result_count $$1 "PASS: " $$pass "$$grn"; \
  1033. result_count $$1 "SKIP: " $$skip "$$blu"; \
  1034. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  1035. result_count $$1 "FAIL: " $$fail "$$red"; \
  1036. result_count $$1 "XPASS:" $$xpass "$$red"; \
  1037. result_count $$1 "ERROR:" $$error "$$mgn"; \
  1038. }; \
  1039. { \
  1040. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  1041. $(am__rst_title); \
  1042. create_testsuite_report --no-color; \
  1043. echo; \
  1044. echo ".. contents:: :depth: 2"; \
  1045. echo; \
  1046. for b in $$bases; do echo $$b; done \
  1047. | $(am__create_global_log); \
  1048. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  1049. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  1050. if $$success; then \
  1051. col="$$grn"; \
  1052. else \
  1053. col="$$red"; \
  1054. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  1055. fi; \
  1056. echo "$${col}$$br$${std}"; \
  1057. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  1058. echo "$${col}$$br$${std}"; \
  1059. create_testsuite_report --maybe-color; \
  1060. echo "$$col$$br$$std"; \
  1061. if $$success; then :; else \
  1062. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  1063. if test -n "$(PACKAGE_BUGREPORT)"; then \
  1064. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  1065. fi; \
  1066. echo "$$col$$br$$std"; \
  1067. fi; \
  1068. $$success || exit 1
  1069. check-TESTS: $(dist_check_SCRIPTS)
  1070. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  1071. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  1072. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1073. @set +e; $(am__set_TESTS_bases); \
  1074. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1075. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  1076. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  1077. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  1078. exit $$?;
  1079. recheck: all $(dist_check_SCRIPTS)
  1080. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1081. @set +e; $(am__set_TESTS_bases); \
  1082. bases=`for i in $$bases; do echo $$i; done \
  1083. | $(am__list_recheck_tests)` || exit 1; \
  1084. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1085. log_list=`echo $$log_list`; \
  1086. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1087. am__force_recheck=am--force-recheck \
  1088. TEST_LOGS="$$log_list"; \
  1089. exit $$?
  1090. tst-pam_namespace.log: tst-pam_namespace
  1091. @p='tst-pam_namespace'; \
  1092. b='tst-pam_namespace'; \
  1093. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1094. --log-file $$b.log --trs-file $$b.trs \
  1095. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1096. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1097. .test.log:
  1098. @p='$<'; \
  1099. $(am__set_b); \
  1100. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1101. --log-file $$b.log --trs-file $$b.trs \
  1102. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1103. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1104. #.test$(EXEEXT).log:
  1105. # @p='$<'; \
  1106. # $(am__set_b); \
  1107. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1108. # --log-file $$b.log --trs-file $$b.trs \
  1109. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1110. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  1111. distdir: $(BUILT_SOURCES)
  1112. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1113. distdir-am: $(DISTFILES)
  1114. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1115. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1116. list='$(DISTFILES)'; \
  1117. dist_files=`for file in $$list; do echo $$file; done | \
  1118. sed -e "s|^$$srcdirstrip/||;t" \
  1119. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1120. case $$dist_files in \
  1121. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1122. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1123. sort -u` ;; \
  1124. esac; \
  1125. for file in $$dist_files; do \
  1126. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1127. if test -d $$d/$$file; then \
  1128. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1129. if test -d "$(distdir)/$$file"; then \
  1130. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1131. fi; \
  1132. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1133. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1134. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1135. fi; \
  1136. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1137. else \
  1138. test -f "$(distdir)/$$file" \
  1139. || cp -p $$d/$$file "$(distdir)/$$file" \
  1140. || exit 1; \
  1141. fi; \
  1142. done
  1143. check-am: all-am
  1144. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1145. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1146. check: check-am
  1147. all-am: Makefile $(LTLIBRARIES) $(SCRIPTS) $(MANS) $(DATA) $(HEADERS)
  1148. installdirs:
  1149. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(servicedir)"; do \
  1150. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1151. done
  1152. install: install-am
  1153. install-exec: install-exec-am
  1154. install-data: install-data-am
  1155. uninstall: uninstall-am
  1156. install-am: all-am
  1157. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1158. installcheck: installcheck-am
  1159. install-strip:
  1160. if test -z '$(STRIP)'; then \
  1161. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1162. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1163. install; \
  1164. else \
  1165. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1166. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1167. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1168. fi
  1169. mostlyclean-generic:
  1170. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1171. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1172. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1173. clean-generic:
  1174. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1175. distclean-generic:
  1176. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1177. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1178. maintainer-clean-generic:
  1179. @echo "This command is intended for maintainers to use"
  1180. @echo "it deletes files that may require special tools to rebuild."
  1181. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1182. clean: clean-am
  1183. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1184. mostlyclean-am
  1185. distclean: distclean-am
  1186. -rm -f ./$(DEPDIR)/argv_parse.Plo
  1187. -rm -f ./$(DEPDIR)/md5.Plo
  1188. -rm -f ./$(DEPDIR)/pam_namespace.Plo
  1189. -rm -f Makefile
  1190. distclean-am: clean-am distclean-compile distclean-generic \
  1191. distclean-tags
  1192. dvi: dvi-am
  1193. dvi-am:
  1194. html: html-am
  1195. html-am:
  1196. info: info-am
  1197. info-am:
  1198. install-data-am: install-data-local install-dist_secureconfDATA \
  1199. install-dist_secureconfSCRIPTS install-man \
  1200. install-securelibLTLIBRARIES install-serviceDATA
  1201. install-dvi: install-dvi-am
  1202. install-dvi-am:
  1203. install-exec-am: install-sbinSCRIPTS
  1204. install-html: install-html-am
  1205. install-html-am:
  1206. install-info: install-info-am
  1207. install-info-am:
  1208. install-man: install-man5 install-man8
  1209. install-pdf: install-pdf-am
  1210. install-pdf-am:
  1211. install-ps: install-ps-am
  1212. install-ps-am:
  1213. installcheck-am:
  1214. maintainer-clean: maintainer-clean-am
  1215. -rm -f ./$(DEPDIR)/argv_parse.Plo
  1216. -rm -f ./$(DEPDIR)/md5.Plo
  1217. -rm -f ./$(DEPDIR)/pam_namespace.Plo
  1218. -rm -f Makefile
  1219. maintainer-clean-am: distclean-am maintainer-clean-generic
  1220. mostlyclean: mostlyclean-am
  1221. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1222. mostlyclean-libtool
  1223. pdf: pdf-am
  1224. pdf-am:
  1225. ps: ps-am
  1226. ps-am:
  1227. uninstall-am: uninstall-dist_secureconfDATA \
  1228. uninstall-dist_secureconfSCRIPTS uninstall-man \
  1229. uninstall-sbinSCRIPTS uninstall-securelibLTLIBRARIES \
  1230. uninstall-serviceDATA
  1231. uninstall-man: uninstall-man5 uninstall-man8
  1232. .MAKE: check-am install-am install-strip
  1233. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1234. check-am clean clean-generic clean-libtool \
  1235. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1236. distclean distclean-compile distclean-generic \
  1237. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1238. html-am info info-am install install-am install-data \
  1239. install-data-am install-data-local install-dist_secureconfDATA \
  1240. install-dist_secureconfSCRIPTS install-dvi install-dvi-am \
  1241. install-exec install-exec-am install-html install-html-am \
  1242. install-info install-info-am install-man install-man5 \
  1243. install-man8 install-pdf install-pdf-am install-ps \
  1244. install-ps-am install-sbinSCRIPTS install-securelibLTLIBRARIES \
  1245. install-serviceDATA install-strip installcheck installcheck-am \
  1246. installdirs maintainer-clean maintainer-clean-generic \
  1247. mostlyclean mostlyclean-compile mostlyclean-generic \
  1248. mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
  1249. uninstall uninstall-am uninstall-dist_secureconfDATA \
  1250. uninstall-dist_secureconfSCRIPTS uninstall-man uninstall-man5 \
  1251. uninstall-man8 uninstall-sbinSCRIPTS \
  1252. uninstall-securelibLTLIBRARIES uninstall-serviceDATA
  1253. .PRECIOUS: Makefile
  1254. install-data-local:
  1255. mkdir -p $(DESTDIR)$(namespaceddir)
  1256. #-include $(top_srcdir)/Make.xml.rules
  1257. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1258. # Otherwise a system limit (for SysV at least) may be exceeded.
  1259. .NOEXPORT: